# RecursiveRegexIterator::hasChildren

(PHP 5 >= 5.2.0, PHP 7)

RecursiveRegexIterator::hasChildren — Returns whether an iterator can be obtained for the current entry

### Description

public RecursiveRegexIterator::hasChildren ( void ) : bool

Returns whether an iterator can be obtained for the current entry. This iterator can be obtained via RecursiveRegexIterator::getChildren().

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if an iterator can be obtained for the current entry, otherwise returns `FALSE`.

### Examples

Example #1 RecursiveRegexIterator::hasChildren() example

`<?php
$rArrayIterator = new RecursiveArrayIterator(array('test1', array('tet3', 'test4', 'test5')));
$rRegexIterator = new RecursiveRegexIterator($rArrayIterator, '/^test/',
RecursiveRegexIterator::ALL_MATCHES);
foreach ($rRegexIterator as $value) {
var_dump($rRegexIterator->hasChildren());
}
?>`

The above example will output:

    bool(false)
    bool(true)

### See Also

- RecursiveRegexIterator::getChildren() - Returns an iterator for the current entry